summaryrefslogtreecommitdiffstats
path: root/clone
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2011-10-27 13:36:15 +0100
committerRichard W.M. Jones <rjones@redhat.com>2011-10-27 13:37:46 +0100
commit2749d6edfbed3b9185b53e9c9befb8d370965b0c (patch)
tree19170c1d13292d65d1e2e5b4f2ae64229e6c7326 /clone
parent46e08a159a86d993a44830d70da442cd073859c2 (diff)
downloadlibguestfs-2749d6edfbed3b9185b53e9c9befb8d370965b0c.tar.gz
libguestfs-2749d6edfbed3b9185b53e9c9befb8d370965b0c.tar.xz
libguestfs-2749d6edfbed3b9185b53e9c9befb8d370965b0c.zip
virt-sysprep: Skip test if xmlstarlet is not installed.
This dependency is optional, so don't fail the test if it is not installed.
Diffstat (limited to 'clone')
-rwxr-xr-xclone/test-virt-sysprep.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/clone/test-virt-sysprep.sh b/clone/test-virt-sysprep.sh
index 097f416b..81e01f89 100755
--- a/clone/test-virt-sysprep.sh
+++ b/clone/test-virt-sysprep.sh
@@ -24,6 +24,11 @@ if [ ! -w /dev/fuse ]; then
exit 0
fi
+if ! xmlstarlet --help >/dev/null 2>&1; then
+ echo "SKIPPING virt-sysprep test, because xmlstarlet is not installed."
+ exit 0
+fi
+
rm -f test.img guestfish
qemu-img create -f qcow2 -o backing_file=../images/fedora.img test.img